Bug 545229 - rgmanager will hang on start if cman is not running and will not stop
rgmanager will hang on start if cman is not running and will not stop
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.6
All Linux
low Severity medium
: rc
: ---
Assigned To: Lon Hohberger
Toure Dunnon
: Patch
Depends On:
Blocks: 502912
  Show dependency treegraph
 
Reported: 2009-12-07 17:03 EST by Shane Bradley
Modified: 2011-01-13 18:23 EST (History)
5 users (show)

See Also:
Fixed In Version: rgmanager-2.0.52-6.13.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:23:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that will allow rgmanager to shutdown (1.22 KB, patch)
2009-12-07 17:03 EST, Shane Bradley
no flags Details | Diff
git-am clean patch (1.87 KB, patch)
2009-12-09 10:24 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Shane Bradley 2009-12-07 17:03:30 EST
Created attachment 376792 [details]
Patch that will allow rgmanager to shutdown

Description of problem:

If cman is not running then rgmanager will spin and will not shutdown
if called to shutdown in this state.

$ /etc/init.d/cman stop
Stopping cluster:
 Stopping fencing... done
 Stopping cman... done
 Stopping ccsd... done
 Unmounting configfs... done
                                                         [  OK  ]
$ clustat
Could not connect to CMAN: Connection refused
$ service rgmanager start
Starting Cluster Service Manager:                          [  OK  ]
$ ps -ef | grep rg
root      4383     1  0 21:36 ?        00:00:00 clurgmgrd
root      4384  4383  0 21:36 ?        00:00:00 clurgmgrd
root      4388  4261  0 21:36 pts/0    00:00:00 grep rg
$ killall clurgmgrd
$ ps -ef | grep rg
root      4383     1  0 21:36 ?        00:00:00 clurgmgrd
root      4384  4383  0 21:36 ?        00:00:00 clurgmgrd
root      4392  4261  0 21:37 pts/0    00:00:00 grep rg
$ gdb /usr/sbin/clurgmgrd 4383
(gdb) thr a a bt

Thread 1 (Thread 0x2afb47649060 (LWP 16660)):
#0  0x0000003f7a00e005 in __libc_waitpid (pid=<value optimized out>, stat_loc=<value optimized out>, options=<value optimized out>) at ../sysdeps/unix/sysv/linux/waitpid.c:32
#1  0x000000000041a9b3 in watchdog_init () at watchdog.c:73
#2  0x000000000040c36f in main (argc=1, argv=0x7fff6346f288) at main.c:1020

Attached is a patch that will allow rgmanager to be cleanly shutdown
if it is in this state.

Version-Release number of selected component (if applicable):
rgmanager-2.0.52-1.el5_4.2

How reproducible:
Everytime

Steps to Reproduce:
1.stop all cluster services
2./etc/init.d/rgmanager start
3./etc/init.d/rgmanager stop
  
Actual results:
rgmanager is not stopped. It is stuck spinning.

Expected results:
rgmanager should stop cleanly.

Additional info:

A patch was added that was pulled from stable 3 to resolve this issue.
Comment 1 Lon Hohberger 2009-12-09 10:17:28 EST
Actually, I had to rework parts of the patch in order for it to apply. ;)
Comment 2 Lon Hohberger 2009-12-09 10:24:29 EST
Created attachment 377217 [details]
git-am clean patch
Comment 7 errata-xmlrpc 2011-01-13 18:23:57 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0134.html

Note You need to log in before you can comment on or make changes to this bug.